<!-- <!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <title>Three.js TypeScript Tutorials by Sean Bradley : https://sbcode.net/threejs</title>
        <style>
            body {
                overflow: hidden;
                margin: 0px;
            }

            #debug1 {
                font-family: monospace;
                font-size: larger;
                position: absolute;
                left: 0px;
                top: 50px;
                border: 1px solid red;
                width: 180px;
                height: 310px;
                color: white;
                pointer-events: none;
            }
        </style>
    </head>

    <body>
        <div id="debug1"></div>
        <script type="module" src="bundle.js"></script>
    </body>
</html> -->

<!-- <!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <title>Online Viewer</title>
        <link rel="stylesheet" href="style.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"/>
        
        <style>
            body {
                overflow: hidden;
                margin: 0px;
            }
            .measurementLabel {
                font-family: monospace;
                background-color: black;
                color: white;
            }
            #container {
				position: relative;
			}
			#threejs-canvas {
				position:absolute;
				z-index: 2;
			}


        </style>
    </head>

    <body>
        <div class="drag-area">
            <div class="icon"><i class="fas fa-cloud-upload-alt"></i></div>
            <header>Drag & Drop to upload File</header>
            <span>OR</span>
            <button>Browse File</button>
        </div>
         <div id="container">
			<canvas id="threejs-canvas"></canvas>
		</div>
        
  
        <script type="module" src="bundle.js"></script> 
        <script src="script.js"></script>
    </body>
</html> -->

<!DOCTYPE html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>glTF Viewer</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
  
  
  <link rel="canonical" href="https://gltf-viewer.donmccurdy.com/">
  <link rel="shortcut icon" href="assets/favicon.ico">
  <link rel="stylesheet" href="style.css">
  <link href="https://fonts.googleapis.com/css?family=Raleway:300,400" rel="stylesheet">
   
</head>
<body>
  <main class="wrap">
    <div class="dropzone">
      <div class="placeholder">
        <p>Drag glTF 2.0 file or folder here</p>
      </div>
      <div class="upload-btn">
        <input type="file" name="file-input[]" id="file-input" multiple="">
        <label for="file-input">
          <svg xmlns="http://www.w3.org/2000/svg" width="20" height="17" viewBox="0 0 20 17"><path d="M10 0l-5.2 4.9h3.3v5.1h3.8v-5.1h3.3l-5.2-4.9zm9.3 11.5l-3.2-2.1h-2l3.4 2.6h-3.5c-.1 0-.2.1-.2.1l-.8 2.3h-6l-.8-2.2c-.1-.1-.1-.2-.2-.2h-3.6l3.4-2.6h-2l-3.2 2.1c-.4.3-.7 1-.6 1.5l.6 3.1c.1.5.7.9 1.2.9h16.3c.6 0 1.1-.4 1.3-.9l.6-3.1c.1-.5-.2-1.2-.7-1.5z"></path></svg>
          <span>Upload</span>
        </label>
      </div>
    
    <div id="container">
			<canvas id="threejs-canvas"></canvas>
		</div>
  </main>
  <script type="text/TypeScript" src="/src/client/gltfLoader.ts"></script>
  <script type="module" src="bundle.js"></script>
  <!-- <script src="/src/client/rStats.extras.js"></script> -->
</div>
</body>
</html>